var level2
    const game = new Game('gameCanvas');
    const inputManager = new InputManager(game.canvas);
    const soundManager = new SoundManager();
    game.inputManager = inputManager;
    game.soundManager = soundManager;
    game.camera = new Camera(game.canvas.width, game.canvas.height);
    game.addLevel(new Level1(game));
    level2 = new Level2(game)
    game.addLevel(level2); // ✅ now available via nextLevel()
    game.addLevel(new Level3(game)); // ✅ now available via nextLevel()
    game.addLevel(new Level4(game)); // ✅ now available via nextLevel()
    game.animate();